### Method

# Ide EditorSearch set_regex_enabled

#### Declaration

    void
    ide_editor_search_set_regex_enabled (
      IdeEditorSearch* self,
      gboolean regex_enabled
    )

#### Description

See also: `GtkSourceSearchSettings:regex-enabled`.

Available since: | 3.32

Sets property | `Ide.EditorSearch:regex-enabled`

#### Parameters

`regex_enabled` | `gboolean`
| If regex search should be used.